Page MenuHomePhabricator

API: revision size with list=usercontribs
Closed, ResolvedPublic

Description

Author: matthew.britton

Description:
Currently, revision size is an option when getting a list of revisions through prop=revisions (rvprop=size) or list=recentchanges (rcprop=sizes), but not through list=usercontribs. If this is possible without a horrible extra join in the query or something then it would be nice. If not don't worry.


Version: unspecified
Severity: enhancement

Details

Reference
bz18743

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:35 PM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz18743.

Done in r50423

brion added a comment.May 11 2009, 4:54 PM

This reports size=0 for revisions with unmigrated rev_len=NULL.

matthew.britton wrote:

(In reply to comment #2)

This reports size=0 for revisions with unmigrated rev_len=NULL.

That reminds me. Was it ever decided if it was feasible to populate rev_len for older Wikimedia revisions?

brion added a comment.May 11 2009, 6:19 PM

It's feasible, but you shouldn't assume it'll be done on any particular installation. :)

demon added a comment.May 14 2009, 8:30 PM

Should be fixed in r50600

(In reply to comment #5)

Should be fixed in r50600

Really fixed in r50623